import { IGenericMeasure } from "./genericMeasure";
import { GenericMeasureType } from "./genericMeasureFactory";
import { NthRootFn, SpreadFn, UnaryFn } from "./genericMeasureUtils";
import { Unit } from "./unitTypeArithmetic";
interface IMeasureStaticMethods {
    abs: UnaryFn;
    ceil: UnaryFn;
    floor: UnaryFn;
    fround: UnaryFn;
    round: UnaryFn;
    trunc: UnaryFn;
    hypot: SpreadFn;
    sqrt: NthRootFn<"2">;
    cbrt: NthRootFn<"3">;
}
export declare type Measure<U extends Unit> = IGenericMeasure<number, U>;
export declare const Measure: GenericMeasureType<number, IMeasureStaticMethods>;
export {};
