import { IGenericMeasure } from "../measure/genericMeasure";
import { GenericMeasureType } from "../measure/genericMeasureFactory";
interface IBaseUnitsMap {
    meters: "length";
    kilograms: "mass";
    seconds: "time";
    amperes: "current";
    kelvin: "temperature";
    moles: "substance";
    candelas: "intensity";
    radians: "planeAngle";
    steradians: "solidAngle";
    bits: "memory";
}
export declare type BaseUnits<N> = {
    [U in keyof IBaseUnitsMap]: IGenericMeasure<N, {
        [K in IBaseUnitsMap[U]]: "1";
    }>;
};
export declare const createBaseUnits: <N>(MeasureType: GenericMeasureType<N, any>) => BaseUnits<N>;
export declare const meters: IGenericMeasure<number, {
    length: "1";
}>, kilograms: IGenericMeasure<number, {
    mass: "1";
}>, seconds: IGenericMeasure<number, {
    time: "1";
}>, amperes: IGenericMeasure<number, {
    current: "1";
}>, kelvin: IGenericMeasure<number, {
    temperature: "1";
}>, moles: IGenericMeasure<number, {
    substance: "1";
}>, candelas: IGenericMeasure<number, {
    intensity: "1";
}>, radians: IGenericMeasure<number, {
    planeAngle: "1";
}>, steradians: IGenericMeasure<number, {
    solidAngle: "1";
}>, bits: IGenericMeasure<number, {
    memory: "1";
}>;
export {};
