"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var numberMeasure_1 = require("../measure/numberMeasure");
var Base = require("./base");
var Dimensionless = numberMeasure_1.Measure.dimensionless(1);
var Length = Base.meters;
var Mass = Base.kilograms;
var Time = Base.seconds;
var ElectricCurrent = Base.amperes;
var Temperature = Base.kelvin;
var AmountOfSubstance = Base.moles;
var LuminousIntensity = Base.candelas;
var Memory = Base.bits;
var PlaneAngle = Base.radians;
var SolidAngle = Base.steradians;
var Frequency = Time.inverse();
var FrequencyDrift = Time.toThe("-2");
var FuelEfficiency = Length.toThe("-2");
var Wavenumber = Length.inverse();
var Area = Length.squared();
var Volume = Length.cubed();
var Absement = Length.times(Time);
var Velocity = Length.over(Time);
var Acceleration = Velocity.over(Time);
var Jerk = Acceleration.over(Time);
var Jounce = Jerk.over(Time);
var Crackle = Jounce.over(Time);
var VolumetricFlow = Volume.over(Time);
var MassFlowRate = Mass.over(Time);
var LinearDensity = Mass.over(Length);
var AreaDensity = Mass.over(Area);
var VolumeDensity = Mass.over(Volume);
var Force = Mass.times(Acceleration);
var Yank = Force.over(Time);
var Pressure = Force.over(Area);
var Compressibility = Pressure.inverse();
var DynamicViscosity = Pressure.times(Time);
var SurfaceTension = Force.over(Length);
var Momentum = Force.times(Time);
var MomentOfInertia = Mass.times(Area);
var Energy = Force.times(Length);
var Power = Energy.over(Time);
var PowerDensity = Power.over(Volume);
var Voltage = Power.over(ElectricCurrent);
var ElectricCharge = ElectricCurrent.times(Time);
var ElectricChargeDensity = ElectricCharge.over(Volume);
var ElectricCurrentDensity = ElectricCurrent.over(Area);
var ElectricDisplacement = ElectricCharge.over(Area);
var EletricFieldStrength = Voltage.over(Length);
var ElectricalCapacitance = ElectricCharge.over(Voltage);
var ElectricalConductance = ElectricCurrent.over(Voltage);
var ElectricalConductivity = ElectricalConductance.over(Length);
var ElectricalResistance = Voltage.over(ElectricCurrent);
var ElectricalResistivity = ElectricalResistance.times(Length);
var ElectricalInductance = ElectricalResistance.times(Time);
var LinearChargeDensity = ElectricCharge.over(Length);
var Permittivity = ElectricalCapacitance.over(Length);
var MagneticFlux = Energy.over(ElectricCurrent);
var MagneticFluxDensity = Voltage.times(Time).over(Area);
var MagneticPermeability = ElectricalInductance.over(Length);
var Magnetization = ElectricCurrent.over(Length);
var MagneticReluctance = ElectricalInductance.inverse();
var MagneticMoment = MagneticFlux.times(Length);
var MagneticRigidity = MagneticFluxDensity.times(Length);
var MagneticDipoleMoment = Energy.over(MagneticFluxDensity);
var MagneticSusceptibility = Length.over(ElectricalInductance);
var Irradiance = Power.over(Area);
var Entropy = Energy.over(Temperature);
var SpecificHeat = Energy.over(Mass.times(Temperature));
var SpecificVolume = Volume.over(Mass);
var ThermalConductivity = Power.over(Length.times(Temperature));
var ThermalResistance = Temperature.over(Power);
var ThermalExpansionCoefficient = Temperature.inverse();
var ThermalGradient = Temperature.over(Length);
var MolarEntropy = Entropy.over(AmountOfSubstance);
var MolarEnergy = Energy.over(AmountOfSubstance);
var Molarity = AmountOfSubstance.over(Volume);
var MolarVolume = Volume.over(AmountOfSubstance);
var Molality = AmountOfSubstance.over(Mass);
var MolarMass = Mass.over(AmountOfSubstance);
var MolarConductivity = ElectricalConductance.times(Area).over(AmountOfSubstance);
var CatalyticActivity = AmountOfSubstance.over(Time);
var CatalyticEfficiency = Volume.over(AmountOfSubstance.times(Time));
var ReactionRate = CatalyticActivity.over(Volume);
var RadiationDose = Energy.over(Mass);
var RadiationDoseRate = RadiationDose.over(Time);
var ElectronMobility = Area.over(Voltage.times(Time));
var AngularMomentum = Force.times(Length).times(Time);
var SpecificAngularMomentum = AngularMomentum.over(Mass);
var Luminance = LuminousIntensity.over(Area);
var LuminousFlux = LuminousIntensity.times(SolidAngle);
var Illuminance = LuminousFlux.over(Area);
var LuminousEnergy = LuminousFlux.times(Time);
var LuminousExposure = Illuminance.times(Time);
var LuminousEfficiency = LuminousFlux.over(Power);
var RadiantIntensity = Power.over(SolidAngle);
var SpectralIntensity = RadiantIntensity.over(Length);
var Radiance = RadiantIntensity.over(Area);
var SpectralRadiance = RadiantIntensity.over(Volume);
var AngularVelocity = PlaneAngle.over(Time);
var AngularAcceleration = AngularVelocity.over(Time);
//# sourceMappingURL=quantities.js.map